org.jboss.shrinkwrap.descriptor.api.connector17

## Interface ConfigPropertyType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConfigPropertyType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `config-propertyType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigPropertyType<T>` | `configPropertyConfidential(java.lang.Boolean configPropertyConfidential)` Sets the `config-property-confidential` element
    `ConfigPropertyType<T>` | `configPropertyIgnore(java.lang.Boolean configPropertyIgnore)` Sets the `config-property-ignore` element
    `ConfigPropertyType<T>` | `configPropertyName(java.lang.String configPropertyName)` Sets the `config-property-name` element
    `ConfigPropertyType<T>` | `configPropertySupportsDynamicUpdates(java.lang.Boolean configPropertySupportsDynamicUpdates)` Sets the `config-property-supports-dynamic-updates` element
    `ConfigPropertyType<T>` | `configPropertyType(ConfigPropertyTypeType configPropertyType)` Sets the `config-property-type` element
    `ConfigPropertyType<T>` | `configPropertyType(java.lang.String configPropertyType)` Sets the `config-property-type` element
    `ConfigPropertyType<T>` | `configPropertyValue(java.lang.String configPropertyValue)` Sets the `config-property-value` element
    `ConfigPropertyType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getConfigPropertyName()` Returns the `config-property-name` element
    `ConfigPropertyTypeType` | `getConfigPropertyType()` Returns the `config-property-type` element
    `java.lang.String` | `getConfigPropertyTypeAsString()` Returns the `config-property-type` element
    `java.lang.String` | `getConfigPropertyValue()` Returns the `config-property-value` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `ConfigPropertyType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `java.lang.Boolean` | `isConfigPropertyConfidential()` Returns the `config-property-confidential` element
    `java.lang.Boolean` | `isConfigPropertyIgnore()` Returns the `config-property-ignore` element
    `java.lang.Boolean` | `isConfigPropertySupportsDynamicUpdates()` Returns the `config-property-supports-dynamic-updates` element
    `ConfigPropertyType<T>` | `removeAllDescription()` Removes the `description` element
    `ConfigPropertyType<T>` | `removeConfigPropertyConfidential()` Removes the `config-property-confidential` element
    `ConfigPropertyType<T>` | `removeConfigPropertyIgnore()` Removes the `config-property-ignore` element
    `ConfigPropertyType<T>` | `removeConfigPropertyName()` Removes the `config-property-name` element
    `ConfigPropertyType<T>` | `removeConfigPropertySupportsDynamicUpdates()` Removes the `config-property-supports-dynamic-updates` element
    `ConfigPropertyType<T>` | `removeConfigPropertyType()` Removes the `config-property-type` attribute
    `ConfigPropertyType<T>` | `removeConfigPropertyValue()` Removes the `config-property-value` element
    `ConfigPropertyType<T>` | `removeId()` Removes the `id` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          ConfigPropertyType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ConfigPropertyType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyName

          ConfigPropertyType<T> configPropertyName(java.lang.String configPropertyName)

      Sets the `config-property-name` element
      Parameters:
        `configPropertyName` - the value for the element `config-property-name`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getConfigPropertyName

          java.lang.String getConfigPropertyName()

      Returns the `config-property-name` element
      Returns:
        the node defined for the element `config-property-name`

    - #### removeConfigPropertyName

          ConfigPropertyType<T> removeConfigPropertyName()

      Removes the `config-property-name` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyType

          ConfigPropertyType<T> configPropertyType(ConfigPropertyTypeType configPropertyType)

      Sets the `config-property-type` element
      Parameters:
        `configPropertyType` - the value for the element `config-property-type`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyType

          ConfigPropertyType<T> configPropertyType(java.lang.String configPropertyType)

      Sets the `config-property-type` element
      Parameters:
        `configPropertyType` - the value for the element `config-property-type`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getConfigPropertyType

          ConfigPropertyTypeType getConfigPropertyType()

      Returns the `config-property-type` element
      Returns:
        the value found for the element `config-property-type`

    - #### getConfigPropertyTypeAsString

          java.lang.String getConfigPropertyTypeAsString()

      Returns the `config-property-type` element
      Returns:
        the value found for the element `config-property-type`

    - #### removeConfigPropertyType

          ConfigPropertyType<T> removeConfigPropertyType()

      Removes the `config-property-type` attribute
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyValue

          ConfigPropertyType<T> configPropertyValue(java.lang.String configPropertyValue)

      Sets the `config-property-value` element
      Parameters:
        `configPropertyValue` - the value for the element `config-property-value`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getConfigPropertyValue

          java.lang.String getConfigPropertyValue()

      Returns the `config-property-value` element
      Returns:
        the node defined for the element `config-property-value`

    - #### removeConfigPropertyValue

          ConfigPropertyType<T> removeConfigPropertyValue()

      Removes the `config-property-value` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyIgnore

          ConfigPropertyType<T> configPropertyIgnore(java.lang.Boolean configPropertyIgnore)

      Sets the `config-property-ignore` element
      Parameters:
        `configPropertyIgnore` - the value for the element `config-property-ignore`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### isConfigPropertyIgnore

          java.lang.Boolean isConfigPropertyIgnore()

      Returns the `config-property-ignore` element
      Returns:
        the node defined for the element `config-property-ignore`

    - #### removeConfigPropertyIgnore

          ConfigPropertyType<T> removeConfigPropertyIgnore()

      Removes the `config-property-ignore` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertySupportsDynamicUpdates

          ConfigPropertyType<T> configPropertySupportsDynamicUpdates(java.lang.Boolean configPropertySupportsDynamicUpdates)

      Sets the `config-property-supports-dynamic-updates` element
      Parameters:
        `configPropertySupportsDynamicUpdates` - the value for the element `config-property-supports-dynamic-updates`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### isConfigPropertySupportsDynamicUpdates

          java.lang.Boolean isConfigPropertySupportsDynamicUpdates()

      Returns the `config-property-supports-dynamic-updates` element
      Returns:
        the node defined for the element `config-property-supports-dynamic-updates`

    - #### removeConfigPropertySupportsDynamicUpdates

          ConfigPropertyType<T> removeConfigPropertySupportsDynamicUpdates()

      Removes the `config-property-supports-dynamic-updates` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### configPropertyConfidential

          ConfigPropertyType<T> configPropertyConfidential(java.lang.Boolean configPropertyConfidential)

      Sets the `config-property-confidential` element
      Parameters:
        `configPropertyConfidential` - the value for the element `config-property-confidential`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### isConfigPropertyConfidential

          java.lang.Boolean isConfigPropertyConfidential()

      Returns the `config-property-confidential` element
      Returns:
        the node defined for the element `config-property-confidential`

    - #### removeConfigPropertyConfidential

          ConfigPropertyType<T> removeConfigPropertyConfidential()

      Removes the `config-property-confidential` element
      Returns:
        the current instance of `ConfigPropertyType`

    - #### id

          ConfigPropertyType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ConfigPropertyType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ConfigPropertyType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)